const development = {
    database: 'mongodb://mongo:27017/DEVobjectiveDB',
    port: 5010,
    host: "evaluator",
}

const github = {
    database: 'mongodb://mongo:27017/DEVobjectiveDB',
    port: 5010,
    host: "evaluator",
}


const production = {
    database: 'mongodb://mongo:27017/objectivetDB',
    port: 5010,
    host: "evaluator",
}

let config;
switch(process.env.NODE_ENV) {
    case 'production':
        config = production
        break;
    case 'development': 
        config = development
        break;
    case 'github': 
        config = github
        break;
    default: 
        config = development
}
module.exports = config
